# API Reference

- [Factory Methods](https://docs.papaya.finance/sdk/api-reference/factory-methods.md): Factory methods of Papaya SDK for creating instances and getting network information
- [Account Methods](https://docs.papaya.finance/sdk/api-reference/account-methods.md): Account methods of Papaya SDK for getting balance and user information
- [Deposit Methods](https://docs.papaya.finance/sdk/api-reference/deposit-methods.md): Deposit methods of Papaya SDK for depositing tokens into the protocol
- [Withdrawal Methods](https://docs.papaya.finance/sdk/api-reference/withdrawal-methods.md): Withdrawal methods of Papaya SDK for withdrawing tokens from the protocol
- [Subscription Methods](https://docs.papaya.finance/sdk/api-reference/subscription-methods.md): Subscription methods of Papaya SDK for managing subscriptions to content creators
- [Payment Methods](https://docs.papaya.finance/sdk/api-reference/payment-methods.md): Methods for making one-time payments in the Papaya protocol


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.papaya.finance/sdk/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
